#
# Sequoia: Database clustering technology.
# Copyright (C) 2005 Emic Networks
# Contact: sequoia@continuent.org
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
# http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Initial developer(s): Marc Herbert
# Contributor(s): 
#

# set -x

# default values

: ${MODULE:=carob}


### DIR_SUFFIX ###

# use CVS_TAG if there
: ${DIR_SUFFIX:=${CVS_TAG}}
# else use CVS_DATE if there
: ${DIR_SUFFIX:=${CVS_DATE}}
# else use current date
: ${DIR_SUFFIX:=`date -I`}


###CVS_ARG ###

# prefix "-r" to CVS_TAG if there
CVS_TAG=${CVS_TAG:+"-r ${CVS_TAG}"}
# prefix "-D" to CVS_DATE if there
CVS_DATE=${CVS_DATE:+"-D ${CVS_DATE}"}

# use CVS_TAG if there
: ${CVS_ARG:="${CVS_TAG}"}
# else use CVS_DATE if there
: ${CVS_ARG:="${CVS_DATE}"}
# else use current date (with seconds)
: ${CVS_ARG:="-D `date -Iseconds`"}


EXPORT_DIR=${MODULE}-${DIR_SUFFIX}
printf "Using this ${MODULE} dirname: ${EXPORT_DIR}\n"


# Creates a ${MODULE}-${DIR_SUFFIX}.tar.gz file in ../ directory containing
# the source code from CVS and compiled documentation.
# Please don't forget to tag the source when releasing such a .tar.gz
# externally.

function buildsrctarball()
{
    printf "Using this ${MODULE} CVS version: ${CVS_ARG}\n"
    cvs -d :pserver:anonymous@forge.continuent.org:/cvsroot/carob export -d ${EXPORT_DIR} ${CVS_ARG} ${MODULE}
    make -C ${EXPORT_DIR} doc && tar czf ${EXPORT_DIR}.tar.gz ${EXPORT_DIR}
}


# Export doxygen documentation to the web site. Tested only for MODULE=carob
# Will fail if buildsrctarball() has not be called before, on purpose:
# nothing should be published "automatically" without being reviewed first

function publishdoc()
{
    cmd="scp -q -rp ${EXPORT_DIR}/doxygen forge.continuent.org:/home/groups/carob/doc/${MODULE}/doxygen-${DIR_SUFFIX}"
    printf "$0: $cmd\n"
    $cmd
}


# execute the function given as argument
cd .. && $1

