/*
 * Sequoia: Database clustering technology Copyright 2002-2005
 * Continuent, Inc.

 * Licensed under the Apache License, Version 2.0 (the "License"); you
 * may not use this file except in compliance with the License. You
 * may *obtain a copy of the License at

 * http://www.apache.org/licenses/LICENSE-2.0 

 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * permissions and limitations under the License.

 * Initial developer(s): Marc Herbert
 * Contributor(s):
 */

#ifndef CAROB_TESTCODECS_H_
#define CAROB_TESTCODECS_H_

#include <cppunit/TestFixture.h>
#include <cppunit/TestCase.h>

/**
 * Tests StringCodecs class with various strings under different encodings.
 */
class TestStringCodecs : public CppUnit::TestFixture
{
public:
  /** Suite of tests to be run */
  static CppUnit::Test* suite();

  /**
   * Encode various strings in different locales and checks that decoding
   * returns the same string
   */
  void encode_decode();
};

#endif // include only once

/*
 * Local Variables:
 * c-file-style: "bsd"
 * c-basic-offset: 4
 * indent-tabs-mode: nil
 * End:
 */
