/*
 * Sequoia: Database clustering technology.
 * Copyright (C) 2005-2006 Continuent, Inc.
 * Contact: sequoia@continuent.org
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Initial developer(s): Gilles Rayrat
 * Contributor(s): 
 */

#ifndef TESTDRIVERRESULTSET_H_
#define TESTDRIVERRESULTSET_H_

#include "../ConnectionSetup.hpp"

/**
 * Test class for Statement class.
 * This is basically a copy of exec read and exec write commands testing
 * A controller *MUST* run locally for test success !!!
 */
class TestDriverResultSet : public ConnectionSetup
{
public:
  /** Suite of tests to be run */
  static CppUnit::Test* suite();

  /**
   * Sets a null value in a table and tries to read it. Checks that a
   * NullValueException is thrown
   */
  void testNullValueRetrieval();
  /**
   * Sets a string entry to various numbers as strings and tries to read it
   * using getAsInt function
   */
  void testGetAsIntOnString();
};

#endif /*TESTDRIVERRESULTSET_H_*/
