/*
 * Sequoia: Database clustering technology.
 * Copyright (C) 2005-2006 Continuent, Inc.
 * Contact: sequoia@continuent.org
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Initial developer(s): Marc Herbert
 * Contributor(s): 
 */

#include "../ConnectionSetup.hpp"

#include "SQLDataSerialization.hpp"

/**
 * Test for IEEE754 double and floats.<br>
 * Creates a table with columns int, float and double, then checks that the data
 * read-back is consistent with the data just written 
 */
class TestIEEE754 : public ConnectionSetup
{
public:
  /** Suite of tests to be run */
  static CppUnit::Test* suite();

  /**
   * Write/read basic numbers such as types boundaries
   */
  void testBasic();

  /**
   * Write/read with infinity and 'Not A Number' values
   */
  void testInfNaN();


  //  void testInfinityNaN();

};

/*
 * Local Variables:
 * c-file-style: "bsd"
 * c-basic-offset: 4
 * indent-tabs-mode: nil
 * End:
 */
